Name:           puppetlabs-release
Version:        7
Release:        11
Summary:        Configuration for yum.puppetlabs.com

Group:          System Environment/Base
License:        ASL 2.0

# This is a Puppet Labs maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            http://yum.puppetlabs.com
Source0:        http://yum.puppetlabs.com/RPM-GPG-KEY-puppetlabs
Source1:        RPM-GPG-KEY-nightly-puppetlabs
Source2:        puppetlabs.repo

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       redhat-release >=  %{version}

Provides:       puppetlabs-release-devel >= 7-2
Obsoletes:      puppetlabs-release-devel <= 7-1

%description
This package contains the yum.puppetlabs.com repository
GPG key as well as configuration for a yum client.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .
install -pm 644 %{SOURCE1} .
install -pm 644 %{SOURCE2} .

%build

%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-puppetlabs
install -Dpm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-nightly-puppetlabs

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2}  \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/puppetlabs.repo
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-puppetlabs
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-nightly-puppetlabs


%changelog
* Mon Aug 25 2014 Puppet Labs Release <info@puppetlabs.com> -  7-11
- Build for 7

* Fri Aug 22 2014 Matthaus Owens <matthaus@puppetlabs.com>
- Add nightly key to puppetlabs-release package

* Thu Jun 28 2012 Matthaus Litteken <matthaus@puppetlabs.com> -  7-2
- Update %files section, obsolete devel package

* Sat Sep 24 2011 Michael Stahnke <stahnma@puppetlabs.com> -  7-1
- Initial Package
